> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/additional-resources-reference-articles/faq/no_data.md).

# Importing the wrong dashboards (No data)

### Problem

When loading dashboards, you see the error: "The field associated with this object no longer exists in the data view. Please use another field,"

![image](https://user-images.githubusercontent.com/43585378/212580706-6fbd13b2-d74b-4a96-b430-0239fe88f395.png)

### Reason #1: You have no data in your data platform

Go to stack management:

![image](https://user-images.githubusercontent.com/43585378/212581661-8b4d0571-a947-4f81-a4b6-aa79e80ff44b.png)

And confirm you see Indices and that they match the dashboard file you imported (ECS vs CODEX -- See Reason #2):

![image](https://user-images.githubusercontent.com/43585378/212582079-fe6f27c6-8e56-4a48-810a-5e6bd675a9db.png)

If you do not see ElastiFlow Indices like the above, you must troubleshoot NetObserv Flow and confirm that:

1. It is running
2. It is receiving flows on the expected port and is listening on that port
3. The host-based firewall is not blocking these packets (common in Red Hat based Linux)
4. NetObserv Flow has successfully connected to your data platform (OpenSearch, Elasticsearch etc..)

### Reason #2: You've imported the wrong dashboards

There are two sets of dashboards that can be downloaded from: <https://github.com/elastiflow/elastiflow_for_elasticsearch>

How you configure the following setting in NetObserv Flow will determine which set of dashboards to import: **EF\_OUTPUT\_ELASTICSEARCH\_ECS\_ENABLE=*****true/false*** **EF\_OUTPUT\_OPENSEARCH\_ECS\_ENABLE=*****true/false*** <https://elastiflow.com/docs/config_ref_output_elasticsearch#ef_output_elasticsearch_ecs_enable> <https://elastiflow.com/docs/config_ref_output_opensearch/#ef_output_opensearch_ecs_enable>

If you set this flag to 'true' you will import the dashboard file with **ECS** in its filename:

![image](https://user-images.githubusercontent.com/43585378/212581518-ebc2e28e-71d4-4722-9a8a-9c796ac81786.png)

If you set this flag to 'false' you will import the dashboard file (light or dark theme) with **CODEX** in its filename:

![image](https://user-images.githubusercontent.com/43585378/212581505-0b87aeb8-a767-4c47-8346-a1f5eadcdf87.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/additional-resources-reference-articles/faq/no_data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
